#include <iostream>
#include <string>
#include <stdlib.h>
#include <bits/stdc++.h>
#define USE_MATH_DEFINES

using namespace std;

int main()
{
    long long int n, m, s[100000], i, j, c[100000], r;
    cin>>n>>m;
    r=0;
    for (i=1; i<=n; i++) {
        cin>>s[i];
        if (s[i]==m) {
            s[i]=0;
        }
    }
    for (j=1; j<=m; j++) {
            c[j]=0;
        for (i=1; i<=n; i++) {
                if (j<=s[i]) {
                c[j]=c[j]+1;
            }
        }
    r=r+c[j]*(n-c[j]);

    }
    cout<<r;
    return 0;
}